/****************************************************************************
**
** This file is part of PLCEdit, an open-source cross-platform editor 
** for PLC source files (e.g. from Moeller, CoDeSys and Siemens).
** Copyright (C) 2005-2009  M. Rehfeldt
**
** This software uses classes of Trolltech Qt toolkit and is freeware. 
** This file may be used under the terms of the GNU General Public License 
** version 2.0 or (at your option) any later version as published by the 
** Free Software Foundation and appearing in the file LICENSE.GPL included 
** in the packaging of this file. 
**
** This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
** WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
**
** Contact e-mail: M. Rehfeldt <info@plcedit.org>
** Program URL   : http://www.plcedit.org
**
****************************************************************************/


#ifndef SINGLEAPPLINUX_H
#define SINGLEAPPLINUX_H

	
#include <QApplication> 

class SingleAppLinux : public QApplication 
{ 
   Q_OBJECT 

public: 
  SingleAppLinux(const QString &lockFile, int &argc, char **argv); 
  ~SingleAppLinux(); 

  bool isRunning() const; 
  QString lockFile() const; 

private: 
  bool flg_isRunning;  	//!< flag application is running
  QString lockFileStr; 	//!< lockfile string
       
  bool checkForRunningInstance();
  
};
#endif
